package main

type AdlinTest int

const (
	HTTPonIP AdlinTest = iota
	HTTPonAssociatedDomain
	HTTPSonAssociatedDomain
	DNSDelegation
	HTTPonDelegatedDomain
	HTTPSonDelegatedDomain
	HTTPSSNI
	MatrixSrv
	MatrixClt
	SNI
	DNSSEC
	PingResolver
	DHCPonRH
	DHCPonGuests
	RHaccessNews
	RHaccessNet
	GuestNet
)

var CheckMap = map[int]map[AdlinTest]int{
	2: map[AdlinTest]int{
		HTTPonIP:                100,
		HTTPonAssociatedDomain:  101,
		HTTPSonAssociatedDomain: 102,
		DNSDelegation:           103,
		HTTPonDelegatedDomain:   104,
		HTTPSonDelegatedDomain:  105,
		HTTPSSNI:                106,
		MatrixSrv:               107,
		MatrixClt:               108,
		DNSSEC:                  109,
	},
	3: map[AdlinTest]int{
		PingResolver:           200,
		HTTPonIP:               201,
		DNSDelegation:          203,
		HTTPonDelegatedDomain:  204,
		HTTPSonDelegatedDomain: 205,
		MatrixSrv:              206,
		MatrixClt:              207,
		DHCPonRH:               209,
		DHCPonGuests:           212,
		RHaccessNews:           210,
		RHaccessNet:            211,
		GuestNet:               213,
	},
}
